<?php defined('SYSPATH') or die('No direct script access.');

class Controller_Admin_Accounts extends Controller_UserEnvi {

    public function action_index()
    {
        $twig = Twig::factory('admin/accounts/index');
        
        $twig->User = $this->UserInfo;
        $this->response->body($twig);
    }
    
    public function action_getCodes()
    {
        $model = new Model_Admin_Students();
        $faculties = $model->getFaculties();
        $facultiesHandled = array(); $i = 0;
        foreach($faculties as $row)
        {
            $i++;
            $facultiesHandled[$i]['ID'] = $row['FacultyID'];
            $facultiesHandled[$i]['Name'] = $row['FacultyName'];
            $facultiesHandled[$i]['Abbr'] = $row['FacultyAbbr'];
        }
        $twig = Twig::factory('admin/accounts/codes');
        $twig->Faculties = $facultiesHandled;
        $twig->User = $this->UserInfo;
        $this->response->body($twig);
    }    
}
            